Module jdk.jfr
Package jdk.jfr

## Annotation Type Registered

-     @Target(TYPE)
      @Inherited
      @Retention(RUNTIME)
      public @interface Registered

  Event annotation, for programmatic event registration.

  Events are automatically registered when they are first used. This annotation can be used to override that registration. To register events programmatically, use `FlightRecorder.register(Class)`.

  Since:
    9

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `boolean` | `value` | Returns `true` if the event is to be registered when the event class is first used, `false` otherwise.

- - ### Element Detail

    - #### value

          boolean value

      Returns `true` if the event is to be registered when the event class is first used, `false` otherwise.
      Returns:
        `true` if the event is to be registered when the event class is first used, `false` otherwise.
      Default:
        true